/**
 * HW1 Sample
 *
 * This file creates the main window and buttons,
 * and instantiates a WorkSpace to contain and
 * render the BasicCells.
 *
 * @version $Id$
 * @author  Michael Shilman <michaels@eecs.berkeley.edu>
 */

import java.awt.*;
import java.applet.*;
import java.util.Vector;
import java.util.Random;

public class hw1 extends Applet {
    static OctCell m_design = null;
    WorkSpace m_workSpace = null;

    /**
     * Create the GUI elements and
     * initialize the design
     */
    public void init() {
        super.init();

        m_workSpace = new WorkSpace();
        add("Center", m_workSpace);
        initDesign();
    }


    /**
     * Build the design, adding 100 BasicCell instances
     */
    void initDesign() {
        //Initialize the BasicCell master
        BasicCell.initClass();

        //Initialize the design
        m_design = new OctCell("Design", "password1", "R");
        //TODO: fill in structure here

        attachNets();
        makeLayout();
    }

    /**
     * Randomly attach all the nets.
     */
    void attachNets() {
    }


    /**
     * Traverse the design and position all the cells randomly
     */
    void makeLayout() {
    }
}
